# Application info
info:
  app:
    name: "poc-wsdl2swagger-customer-management"
    description: "wsdl2swagger"

# Spring properties
spring:
  mvc:
    pathmatch:
      matching-strategy: ANT_PATH_MATCHER
  profiles:
    active: default
  application:
    name: poc-wsdl2swagger-customer-management
  config:
    import: "optional:configserver:"
  jmx:
    enabled: true

# Spring Boot Actuator properties
management:
  endpoints:
    web:
      base-path: /
      exposure:
        include: "metrics, mappings, serverStatus, env, info, health"
  endpoint:
    shutdown:
      enabled: false

# EMBEDDED SERVER CONFIGURATION (ServerProperties)
server:
  port: 8080
  tomcat:
    threads:
      max: 200
    mbeanregistry:
      enabled: true
config:
  thread:
    capacity:
      percentage: 25

http:
  methods:
    allowed-http-methods:
      - GET
      - POST

swagger:
  title: "CustomerManagement"
  description: "REST resources with respect to SOAP resources of CustomerManagement package."

#swagger-ui home-controller
application:
  name: poc-wsdl2swagger-customer-management
  homePageUrl: "http://localhost:${server.port}/"
  instance: 1

configuredEnvironment: default
